/*
 * include/asm-arm/arch-ixp4xx/fsg3.h
 *
 * FSG3 platform specific definitions
 *
 * Author: Deepak Saxena <dsaxena@plexity.net>
 *
 * Copyright 2004 (c) MontaVista, Software, Inc. 
 * 
 * This file is licensed under  the terms of the GNU General Public 
 * License version 2. This program is licensed "as is" without any 
 * warranty of any kind, whether express or implied.
 */

#ifndef __ASM_ARCH_HARDWARE_H__
#error "Do not include this directly, instead #include <asm/hardware.h>"
#endif

#define	FSG3_FLASH_BASE 	IXP4XX_EXP_BUS_BASE(0)
#define	FSG3_FLASH_SIZE 	SZ_4M - 1


#define FSG3_SYNC_KEY_PIN	4
#define FSG3_RESET_KEY_PIN	9
#define FSG3_UNPLUG_KEY_PIN	10
#define	FSG3_SDA_PIN		12
#define	FSG3_SCL_PIN		13


/*
 * FSG3 PCI IRQs
 */
#define FSG3_PCI_MAX_DEV	3
#define FSG3_PCI_IRQ_LINES	3


/* PCI controller GPIO to IRQ pin mappings */
#define FSG3_PCI_INTA_PIN	6
#define FSG3_PCI_INTB_PIN	7
#define	FSG3_PCI_INTC_PIN	5

#define FSG3_PCI_INTA_IRQ	IRQ_IXP4XX_GPIO6
#define FSG3_PCI_INTB_IRQ	IRQ_IXP4XX_GPIO7
#define FSG3_PCI_INTC_IRQ	IRQ_IXP4XX_GPIO5

#define FSG3_LED_RING     0
#define FSG3_LED_STARTUP  1
#define FSG3_LED_USB      2
#define FSG3_LED_SATA     3
#define FSG3_LED_WAN      4
#define FSG3_LED_WLAN     5
